
import rpg

# Potions
## Health

class HealthPotion(rpg.Potion):
    def __init__(self, amount, name):
        rpg.Potion.__init__(self, name)
        self.amount = amount
        
    def apply(self, pc):
        pc.heal(self.amount)

HEALTH_10 = HealthPotion(10, 'Health Potion')

# Skills
class UseItemSkill(rpg.Skill):
    def __init__(self, name, pc, item):
        rpg.Skill.__init__(self, name)
        self.item = item 
        self.pc = pc
        
    def apply(self, pc):
        # TODO: Check to see if it's in inventory, remove it, etc
        self.item.apply(pc)